<?php

/**
 * JCodaSlider class file.
 *
 * @author jerry2801 <jerry2801@gmail.com>
 *
 * A typical usage of JCodaSlider is as follows:
 * <pre>
 * $this->widget('application.extensions.codaslider.JCodaSlider', array(
 * ));
 * </pre>
 */


class JCodaSlider extends CWidget
{
	public $baseUrl;

    public function init()
    {
        $options = CJavaScript::encode($this->options);

        $dir = dirname(__FILE__).DIRECTORY_SEPARATOR.'source';
        $this->baseUrl = Yii::app()->getAssetManager()->publish($dir);

        $cs = Yii::app()->getClientScript();
        $cs->registerCoreScript('jquery');;
        $cs->registerScriptFile($this->baseUrl.'/jquery.scrollTo-1.3.3.js');
        $cs->registerScriptFile($this->baseUrl.'/jquery.localscroll-1.2.5.js');
        $cs->registerScriptFile($this->baseUrl.'/jquery.serialScroll-1.2.1.js');
        $cs->registerScriptFile($this->baseUrl.'/coda-slider.js');
    }

    public function run()
    {
    }
}